
package de.ivu.elect.jee.presentation.search;

public interface Pagination {

  String getAnzahlTrefferLabel();

  int getDefaultPageSize();

  int getSearchResultSize();

  String getRowsPerPageTemplate();

  boolean isPaginator(int size);

  boolean isLazy();

  boolean isPaginator();

  double getPageSizeLazyFactor();

  boolean isShowPaginator();

  int getRows();

  String getPaginatorTemplate();

  String getPaginatorPosition();
}
